<!--#include file="../inc/conn.htm"-->
<%
ID=trim(request("ID"))
LoginID=session("LoginID")
if LoginID="" then response.end
UserName= trim(session("RealName"))

set rs=server.createobject("adodb.recordset")
sql="select * from tblDoc where ID="& ID
rs.open sql,oConn
if not rs.eof then
	FromID=trim(rs("FromID"))
	CheckIDs=trim(rs("CheckIDs"))
	CheckNames=trim(rs("CheckNames"))
	CheckStepIDs=trim(rs("CheckStepIDs"))
	CheckStepNames=trim(rs("CheckStepNames"))

	inDepartment=trim(rs("inDepartment"))
	inTime=trim(rs("inTime"))
	intoDepartment=trim(rs("intoDepartment"))
	inFromName=trim(rs("inFromName"))
	intoName=trim(rs("intoName"))
	inSerial=trim(rs("inSerial"))
	inTelcode=trim(rs("inTelcode"))
	inRecieved=trim(rs("inRecieved"))

	title=replace(trim(rs("title")),"'","''")
	nClass=trim(rs("Class"))
	if nClass="" then nClass=0
	body=replace(rtrim(rs("body")),"'","''")
	remark=replace(rtrim(rs("remark")),"'","''")
	attachfile=replace(trim(rs("attachfile")),"'","''")
	OutWord=trim(rs("OutWord"))
	OutSerial=trim(rs("OutSerial"))
	JinjiClass=trim(rs("JinjiClass"))
	SecureClass=trim(rs("SecureClass"))
	SecureTime=trim(rs("SecureTime"))
	Author=trim(rs("Author"))
	OutGoing=trim(rs("OutGoing"))
	PrintDepartment=trim(rs("PrintDepartment"))
	PrintTime=trim(rs("PrintTime"))
	NigaoDepartment=trim(rs("NigaoDepartment"))
	Nigao=trim(rs("Nigao"))
	Printer=trim(rs("Printer"))
	Publish=trim(rs("Publish"))
	Jiaodui=trim(rs("Jiaodui"))
	Copys=trim(rs("Copys"))
	MainTo=trim(rs("MainTo"))
	CopyTo=trim(rs("CopyTo"))
	Title2=trim(rs("Title2"))
	FinishTime=trim(rs("FinishTime"))
	AttachFileBody=trim(rs("AttachFileBody"))
	Recieved=trim(rs("Recieved"))&""
	CurrentStep=trim(rs("CurrentStep"))
	Pigebody=rtrim(rs("pigebody"))&""
end if
rs.close
set rs=nothing

%>
<html>
<head>
<title>公文打印</title>
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
<link rel="stylesheet" type="text/css" href="../CSS/print.css">
</head>
<script src="Popup.js"></script>
<body bgcolor="#FFFFFF" >

<div align=center>

<h2><font color=#ff0000>敦卫科技 收文处理专用纸</font></h2>
<table border=0 width="100%">
<tr bgcolor=#FFFFFF>
	<td align=center width="50%"><font color=red>收文第</font>   <%=inToName%>   <font color=red>号</font></td>
	<td align=right> <%=year(CreateTimes)%> <font color=red>年</font> <%=month(CreateTimes)%> <font color=red>月</font> <%=day(CreateTimes)%> <font color=red>日</font>&nbsp;</td>
</tr>
</table>
<table border=0 cellpadding=1 cellspacing=1 width="100%" bgcolor=#FF0000 >

<tr bgcolor=#FFFFFF>
	<td width="50%"><font color=red>来文机关：</font><%=inDepartment%><BR><BR></td>
	<td align=center><font color=red>来文第</font> <%=inSerial%> <font color=red>号</font><BR><BR></td>
</tr>
<tr bgcolor=#FFFFFF>
	<td><font color=red>标题：</font> <%=title%><BR><BR></td>
	<td><font color=red>附件：</font><%=AttachFile%><BR>
	<%=replace(replace(server.htmlencode(AttachFileBody&" ")," ","&nbsp;"),chr(13),"<BR>")%><BR><BR></td>
</tr>
<tr bgcolor=#FFFFFF>
	<td colspan=2><font color=red>拟稿和批示：</font><BR>
	<br>拟稿：<%=Nigao%><BR>
	<br>
	<%
	set rs=server.createobject("adodb.recordset")
	sql="select * from tblDocFinal where DocID="& ID &" order by ID"
	rs.open sql,oConn
	n=0
	while not rs.eof
	n=n+1
	if n mod 2 =0 then
		strColor="#E6F2FF"
	else
		strColor="#FFFFFF"
	end if
		response.write "<table border=0 cellpadding=3 cellspacing=1 width='100%' bgcolor=#FFFFFF bordercolordark=#FFFFFF bordercolorlight=#999999><tr bgcolor="&strColor&"><td>"
		response.write trim(rs("FromName"))&" 在 "&trim(rs("Times"))&" 的批阅："
		response.write "</td></tr><tr bgcolor="&strcolor&"><td>"
		response.write replace(replace(rtrim(rs("body")),chr(13),"<br>")," ","&nbsp;")&"&nbsp;"
		response.write "</td></tr></table>"
	rs.movenext
	wend
	rs.close
	set rs=nothing
	%>
	&nbsp;
	</td>
</tr>

</table>
</div>
</body>
<BR><BR>
</html>
<!--#include file="../inc/conn_close.htm"-->

<%
Function GetTableValue(TableName,Field,ValueField,Value)
	if TableName<>"" and Value<>"" then
		Set RsTmp = Server.Createobject("Adodb.recordset")
		strSql = "Select "& Field &" from "& TableName &" where "& ValueField &"='"& Value &"'"
		Rstmp.open strSql,oConn,1,1
		If not Rstmp.eof then
			GetTableValue=trim(Rstmp(Field))
		else
			GetTableValue=""
		end if
		Rstmp.close
		set RsTmp = Nothing
	else
		GetTableValue=""
	end if
End Function


sub DeleteOneFile (FilePathName)
	FilePathName=Server.Mappath(FilePathName)
	dim fs
	Set fs = server.CreateObject("Scripting.FileSystemObject")
	if trim(FilePathName)<>"" and fs.FileExists(FilePathName) then 
		fs.DeleteFile FilePathName
	end if
	set fs=nothing	
end sub

sub CopyOneFile (FileName1,PathName2,FileName)
	FileName1=Server.Mappath(FileName1)
	PathName2=Server.Mappath(PathName2)
	dim fs,f
	Set fs = server.CreateObject("Scripting.FileSystemObject")
	if not fs.FolderExists(PathName2) then
	   fs.CreateFolder PathName2
	end if
	if trim(FileName1)<>"" and fs.FileExists(FileName1) then
		set f=fs.GetFile(FileName1)
		f.Copy PathName2&"\"&FileName,true
	end if
	set fs=nothing	
end sub

Private function GetJinjiClass(byval nClass)
select case trim(nClass)
	case "0"
	GetJinjiClass="未定义"
	case "1"
	GetJinjiClass="缓"
	case "2"
	GetJinjiClass="急"
	case "3"
	GetJinjiClass="加急"
	case else
	GetJinjiClass="未定义"
end select
end function

Private function GetSecureClass(byval nClass)
select case trim(nClass)
	case "0"
	GetSecureClass="未定义"
	case "1"
	GetSecureClass="普通"
	case "2"
	GetSecureClass="秘密"
	case "3"
	GetSecureClass="机密"
	case "4"
	GetSecureClass="绝密"
	case else
	GetSecureClass="未定义"
end select
end function
%>